/*
 *  BEEN: Benchmarking Environment
 *  ==============================
 *
 *  File author: Michal Tomcanyi
 *
 *  GNU Lesser General Public License Version 2.1
 *  ---------------------------------------------
 *  Copyright (C) 2004-2006 Distributed Systems Research Group,
 *  Faculty of Mathematics and Physics, Charles University in Prague
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License version 2.1, as published by the Free Software Foundation.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 *  MA  02111-1307  USA
 */
package cz.cuni.mff.been.benchmarkmanager;

import java.rmi.Remote;

import cz.cuni.mff.been.common.id.IDManagerInterface;
import cz.cuni.mff.been.logging.LogLevel;
import cz.cuni.mff.been.taskmanager.data.TaskState;

/**
 * @author Michal Tomcanyi
 */
public interface BenchmarkManagerLocalInterface {

	IDManagerInterface getIDManager();
	
	JPFPluginManager getPluginLoader();

	Remote lookup(String serviceName) throws BenchmarkManagerException;

	TaskState getTaskStatus(String taskId, String contextId) throws BenchmarkManagerException;
	
	void runExperiment(ExperimentMetadata experiment) throws BenchmarkManagerException;
	
	void logError(String errorMessage);
	
	void logWarning(String warningMessage);
	
	void logInfo(String infoMessage);

	void logDebug(String debugMessage);
	
	void logTrace(String errorMessage);
	
	void logFatal(String errorMessage);
	
	LogLevel getLogLevel();
	
}
