package cz.cuni.mff.been.benchmarkmanager;

import cz.cuni.mff.been.common.rsl.Condition;
import cz.cuni.mff.been.common.rsl.EqualsCondition;

public class BenchmarkRole extends StandardRole {

	private String[] userHosts;
	
	public BenchmarkRole(String name, Condition rsl, int count) {
		super(name, rsl, count);
	}
	
	/**
	 * @return true as this is benchmarking role
	 */
	public boolean isBenchmarking() {
		return true;
	}
	
	
	/**
	 * Sets user-selected hosts
	 * @param hosts
	 */
	public void setUserHosts(String[] hosts) {		
		assert hosts.length == getCount() : 
			"Role does not contain required number of hosts: " + getName();
		this.userHosts = hosts;
	}
	
	/**
	 * @param host index of host to return
	 * @return	RSL (name = "hostname" ) for specific host
	 */
	public Condition getRSL(int host) {
		return new EqualsCondition<String>("name",userHosts[host]);
	}
	
	/**
	 * @return user-selected host
	 */
	public String[] getUserHosts() {
		String[] result = new String[userHosts.length];
		System.arraycopy(userHosts, 0, result, 0, result.length);
		return result;
	}

}
