package cz.cuni.mff.been.benchmarkmanager;

import cz.cuni.mff.been.benchmarkmanager.gui.SchedulerInfo;

public class RegressionAnalysisEntity extends AnalysisEntity {

	private final SchedulerInfo schedule;
	private final long lastRunDate;
	private final long nextRunDate;
	private final ExperimentEntity model;
	
	public RegressionAnalysisEntity(RegressionAnalysisMetadata analysis) {
		super(analysis);
		this.schedule = analysis.getSchedule();
		this.lastRunDate = analysis.getLastRunDate();
		this.nextRunDate = analysis.getNextRunDate();
		this.model = analysis.getModelExperiment() != null ? 
				new ExperimentEntity(analysis.getModelExperiment()) : null;
	}
	
	public SchedulerInfo getSchedule() {
		return schedule;
	}
	
	public long getLastRunDate() {
		return lastRunDate;
	}
	
	public long getNextRunDate() {
		return nextRunDate;
	}
	
	public ExperimentEntity getModel() {
		return model;
	}
	
	
	
}
