package cz.cuni.mff.been.common.anttasks;

import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.io.OutputStream;

import org.apache.tools.ant.Project;

public class Cvs extends org.apache.tools.ant.taskdefs.AbstractCvsTask {

	private Cvs() {
		// dummy ant project
		Project antProject = new Project();
		antProject.init();
		setProject(antProject);
		// dummy ant task name
		setTaskName("cvs");
		setTaskType("cvs");
		// dummy ant target
		setOwningTarget(null);
	}
	
	public static void checkout(String repository, String pass, String cvsRsh, String module, String tag, String date, String dest) throws AntTaskException {

		Cvs cvs = new Cvs();
		cvs.setCommand("checkout");
		cvs.setCvsRoot(repository);
		cvs.setCvsRsh(cvsRsh);
		cvs.setPackage(module);
		cvs.setTag(tag);
		cvs.setDate(date);
		cvs.setDest(new File(dest));
		
		//if password is set, create temp password file
		try {
			if (pass != null) {
				File passFile = File.createTempFile("cvs","pass");
				passFile.deleteOnExit();
				FileWriter fw = new FileWriter(passFile);
				fw.write(pass);
				fw.flush();
				fw.close();
				cvs.setPassfile(passFile);
			}
			
		} catch (IOException e) {
			throw new AntTaskException("Can't write password file",e);
		}
		
		cvs.execute();
	}
	
	@Override
	protected OutputStream getOutputStream() {
		return System.out;
	}
	
	
	@Override
	protected OutputStream getErrorStream() {
		return System.err;
	}
	
	public static void main(String[] args) throws Exception {
		Cvs.checkout(":pserver:anonymous@omniorb.cvs.sourceforge.net:/cvsroot/omniorb",
				null,null,"omni","omni4_0_develop","2 Jan 2005","data");
	}
	
}
