/*
 *  BEEN: Benchmarking Environment
 *  ==============================
 *
 *  File author: Jakub Lehotsky
 *
 *  GNU Lesser General Public License Version 2.1
 *  ---------------------------------------------
 *  Copyright (C) 2004-2006 Distributed Systems Research Group,
 *  Faculty of Mathematics and Physics, Charles University in Prague
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License version 2.1, as published by the Free Software Foundation.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 *  MA  02111-1307  USA
 */
package cz.cuni.mff.been.resultsrepository;

import java.io.Serializable;

/**
 * Class containing one single information about hosts <-> role mapping
 *
 * @author Jakub Lehotsky
 */
public class RoleItem implements Serializable {
	
	/** Item key - numerical index - int */
	private long key;
	/** Item value. */
	private String roleName;
	/** Item value. */
	private String hostName;

	/** @return the index */
	public long getKey() {
		return key;
	}

	/** @return the role name */
	public String getRoleName() {
		return roleName;
	}
	
	/** @return the host name */
	public String getHostName() {
		return hostName;
	}

	/**
	 * Allocates a new <code>RoleItem</code> object.
	 * 
	 * @param  key		key
	 * @param  roleName	the name of the role
	 * @param  hostName	the name of the host
	 */
	public RoleItem(long key, String roleName, String hostName) {
		this.key = key;
		this.roleName = roleName;
		this.hostName = hostName;
	}
}
