<%--

  BEEN: Benchmarking Environment
  ==============================
   
  File author: David Majda

  GNU Lesser General Public License Version 2.1
  ---------------------------------------------
  Copyright (C) 2004-2006 Distributed Systems Research Group,
  Faculty of Mathematics and Physics, Charles University in Prague

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License version 2.1, as published by the Free Software Foundation.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
  MA  02111-1307  USA

--%><%@
	include file="includes.jsp"
%><%@ page
	import="cz.cuni.mff.been.benchmarkmanager.*"
	import="cz.cuni.mff.been.benchmarkmanager.gui.*"
%><%
	AnalysisEntity analysis = (AnalysisEntity)application.getAttribute("analysis");
	List experiments = (List)application.getAttribute("experiments");
%>
<% if (experiments.size() > 0) { %>
	<table class="list full-width">
		<tr>
			<th>Name</th>
			<th>&nbsp;</th>
		</tr>
		<% for (int i = 0; i < experiments.size(); i++) { %>
			<% ExperimentEntity experiment = (ExperimentEntity)experiments.get(i); %>
			<tr>
				<th>
					<a
						href="<%=page_.actionURL("experiment-details")%>?aid=<%=Routines.htmlspecialchars(analysis.getId().toString())%>&amp;eid=<%=Routines.htmlspecialchars(experiment.getId().toString())%>"
					><%=Routines.htmlspecialchars(experiment.getName())%></a>
				</th>
				<% if (experiment.getStatus().equals(EntityStatus.FINISHED)) { %>
					<td>
						<form action="<%=page_.moduleActionURL("results", "experiment-details")%>">
							<input type="hidden" name="aid" value="<%=Routines.htmlspecialchars(analysis.getId().toString())%>" />
							<input type="hidden" name="eid" value="<%=Routines.htmlspecialchars(experiment.getId().toString())%>" />
							<input type="submit" class="type-submit" value="Results" />
						</form>
					</td>
				<% } else { %>
					<td>&nbsp;</td>
				<% } %>
			</tr>
		<% } %>
	</table>
<% } else { %>
	<div class="center">No experiments exist. You can add experiment using
	<a href="<%=page_.actionURL("run-select-plugin")%>?aid=<%=Routines.htmlspecialchars(analysis.getId().toString())%>">Create experiment</a> page.</div>
<% } %>