<%--

  BEEN: Benchmarking Environment
  ==============================
   
  File author: David Majda

  GNU Lesser General Public License Version 2.1
  ---------------------------------------------
  Copyright (C) 2004-2006 Distributed Systems Research Group,
  Faculty of Mathematics and Physics, Charles University in Prague

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License version 2.1, as published by the Free Software Foundation.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
  MA  02111-1307  USA

--%><%@
	include file="includes.jsp"
%><%@ page
	import="cz.cuni.mff.been.benchmarkmanager.*"
	import="cz.cuni.mff.been.benchmarkmanager.gui.*"
	import="cz.cuni.mff.been.common.id.*"
%><%
	String historicalStartDate = (String)application.getAttribute("historicalStartDate");
	String historicalEndDate = (String)application.getAttribute("historicalEndDate");
	String periodicity = (String)application.getAttribute("periodicity");
	int[] daysOfWeek = (int[])application.getAttribute("daysOfWeek");
	int[] daysOfMonth = (int[])application.getAttribute("daysOfMonth");
	String hours = (String)application.getAttribute("hours");
	String minutes = (String)application.getAttribute("minutes");
%>
<tr>
	<td colspan="2"><h2>Analysis dates</h2></td>
</tr>
<tr>
	<th>Analysis start date:</th>
	<td>
		<input type="text" name="historical-start-date" class="name-historical-start-date"
			value="<%=Routines.htmlspecialchars(historicalStartDate)%>" />
		<div class="note">Enter date and time in format "DD/MM/YYYY HH:MM:SS".<br />
		Empty field means "measure from now".</div> 
	</td>
</tr>
<tr>
	<th>Analysis end date:</th>
	<td>
		<input type="text" name="historical-end-date" class="name-historical-end-date"
			value="<%=Routines.htmlspecialchars(historicalEndDate)%>" />
		<div class="note">Enter date and time in format "DD/MM/YYYY HH:MM:SS".<br />
		Empty field means "do not limit".</div> 
	</td>
</tr>
<tr>
	<td colspan="2"><h2>Days</h2></td>
</tr>
<tr>
	<td colspan="2">
	 	<strong><label><input type="radio" name="periodicity" value="days-of-week"
	 		id="days-of-week-checkbox"
	 		<%=periodicity.equals("days-of-week") ? " checked=\"checked\"" : "" %>
 		/> Run in days of the week</label></strong>
	</td>
</tr>
<tr>
	<th class="indented">Days:</th>
	<td>
		<label><input type="checkbox" name="day-of-week[2]"
			onchange="calendarDayOfWeekChange(document.forms[0].elements['days-of-week-checkbox'])"
			<%=Arrays.binarySearch(daysOfWeek, 2) >= 0 ? " checked=\"checked\"" : "" %>
		>Monday</label><br />
		<label><input type="checkbox" name="day-of-week[3]"
			onchange="calendarDayOfWeekChange(document.forms[0].elements['days-of-week-checkbox'])"
			<%=Arrays.binarySearch(daysOfWeek, 3) >= 0 ? " checked=\"checked\"" : "" %>
		>Tuesday</label><br />
		<label><input type="checkbox" name="day-of-week[4]"
			onchange="calendarDayOfWeekChange(document.forms[0].elements['days-of-week-checkbox'])"
			<%=Arrays.binarySearch(daysOfWeek, 4) >= 0 ? " checked=\"checked\"" : "" %>
		>Wednesday</label><br />
		<label><input type="checkbox" name="day-of-week[5]"
			onchange="calendarDayOfWeekChange(document.forms[0].elements['days-of-week-checkbox'])"
			<%=Arrays.binarySearch(daysOfWeek, 5) >= 0 ? " checked=\"checked\"" : "" %>
		>Thursday</label><br />
		<label><input type="checkbox" name="day-of-week[6]"
			onchange="calendarDayOfWeekChange(document.forms[0].elements['days-of-week-checkbox'])"
			<%=Arrays.binarySearch(daysOfWeek, 6) >= 0 ? " checked=\"checked\"" : "" %>
		>Friday</label><br />
		<label><input type="checkbox" name="day-of-week[7]"
			onchange="calendarDayOfWeekChange(document.forms[0].elements['days-of-week-checkbox'])"
			<%=Arrays.binarySearch(daysOfWeek, 7) >= 0 ? " checked=\"checked\"" : "" %>
		>Saturday</label><br />
		<label><input type="checkbox" name="day-of-week[1]"
			onchange="calendarDayOfWeekChange(document.forms[0].elements['days-of-week-checkbox'])"
			<%=Arrays.binarySearch(daysOfWeek, 1) >= 0 ? " checked=\"checked\"" : "" %>
		>Sunday</label><br />
	</td>
</tr>
<tr>
	<td colspan="2">
	 	<strong><label><input type="radio" name="periodicity" value="days-of-month"
	 		id="days-of-month-checkbox"
	 		<%=periodicity.equals("days-of-month") ? " checked=\"checked\"" : "" %>
 		/> Run in days of the month</label></strong>
 	</td>
</tr>
<tr>
	<th class="indented">Days:</th>
	<td>
		<%
			Arrays.sort(daysOfMonth);
			String daysOfMonthString = "";
			boolean first = true;
			for (int i = 0; i < daysOfMonth.length; i++) {
				if (daysOfMonth[i] != -1) {
					if (!first) {
						daysOfMonthString += ",";
					}
					daysOfMonthString += Integer.toString(daysOfMonth[i]);
					first = false;
				}
			}
		%>
		<input type="hidden" name="days-of-month" value="<%=daysOfMonthString%>" />
		<table class="calendar">
			<% for (int row = 0; row < 5; row++) { %>
				<tr>
					<% for (int col = 0; col < 7; col++) { %>
						<%
							int day = row * 7 + col;
							if (day < 31) {
						%>
						<td id="days-of-month-calendar-cell-<%=day + 1%>"
							onclick="calendarCellClick(this, document.forms[0].elements['days-of-month'], <%=day + 1%>);"
					 		<%=Arrays.binarySearch(daysOfMonth, day + 1) >= 0 ? " class=\"selected\"" : "" %>
						>
							<%=day + 1%>
							<% } %>
						</td>
					<% } %>
					<% if (row == 4) { %>
						<td>&nbsp;</td>
						<td>&nbsp;</td>
						<td>&nbsp;</td>
						<td>&nbsp;</td>
					<% } %>
				</tr>
			<% } %>
		</table>
		<div class="calendar-select-links">
			<a href="#" onclick="calendarSelectAllLinkClick(document.forms[0].elements['days-of-month']); return false;">Select all</a>
			&nbsp;
			<a href="#" onclick="calendarSelectNoneLinkClick(document.forms[0].elements['days-of-month']); return false;">Select none</a>
		</div>
	</td>
</tr>
<tr>
	<td colspan="2"><h2>Time of the day</h2></td>
</tr>
<tr>
	<th>Hours:</th>
	<td>
		<input type="text" name="hours" class="name-hours"
			value="<%=Routines.htmlspecialchars(hours)%>" />
		<div class="note">Enter hours of hour ranges, separated by
		commas &ndash; for example <em>1,3,5-12</em>.<br />
		Empty field means "repeat every hour".</div> 
	</td>
</tr>
<tr>
	<th>Minutes:</th>
	<td>
		<input type="text" name="minutes" class="name-minutes"
			value="<%=Routines.htmlspecialchars(minutes)%>" />
		<div class="note">Enter minutes of minute ranges, separated by
		commas &ndash; for example <em>1,3,5-12</em>.<br />
		Empty field means "repeat every minute".</div> 
	</td>
</tr>